Skip to main content
`Ctrl`+`K`

# DMOutputSequenceLoad

Retrieve the sequence value from a `PetscViewer`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMOutputSequenceLoad(DM dm, PetscViewer viewer, const char name[], PetscInt num, PetscReal *val)

## Input Parameters

- dm - The original `DM`

- viewer - The `PetscViewer` to get it from

- name - The sequence name

- num - The output sequence number

## Output Parameter

- val - The output sequence value

## Note

This is intended for output that should appear in sequence, for instance a set of timesteps in an `PETSCVIEWERHDF5` file, or a set of realizations of a stochastic system.

## Developer Note

It is unclear at the user API level why a `DM` is needed as input

## See Also

DM Basics, `DM`, `DMGetOutputSequenceNumber()`, `DMSetOutputSequenceNumber()`, `VecView()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages